Skip to main content
GET
/
org
/
api_keys
/
{id}
Get an API key
curl --request GET \
  --url https://api.onkernel.com/org/api_keys/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.onkernel.com/org/api_keys/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.onkernel.com/org/api_keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "ckv9w8q2f000001l5r3j7k9m4",
  "name": "production",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": {
    "id": "user-abc123",
    "email": "user@example.com",
    "name": "Jane Doe"
  },
  "expires_at": "2023-11-07T05:31:56Z",
  "project_id": "proj_abc123",
  "project_name": "Production",
  "masked_key": "sk_1234...abcd"
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}
{
"code": "bad_request",
"message": "Missing required field: app_name",
"details": [
{
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
],
"inner_error": {
"code": "invalid_input",
"message": "Provided version string is not semver compliant"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

API key ID

Response

API key details

id
string
required

Unique API key identifier

Example:

"ckv9w8q2f000001l5r3j7k9m4"

name
string
required

API key name

Example:

"production"

created_at
string<date-time>
required

When the API key was created

created_by
object
required
expires_at
string<date-time> | null
required

When the API key expires

project_id
string | null
required

Project identifier for project-scoped API keys. Null means org-wide.

Example:

"proj_abc123"

project_name
string | null
required

Project name for project-scoped API keys. Null means the key is org-wide or the project name is unavailable.

Example:

"Production"

masked_key
string
required

Masked version of the API key

Example:

"sk_1234...abcd"